# Fetch merchant deposit status

`GET /v2/merchant/deposit`

Fetch the status of a merchant deposit using **ONE OF** `deposit_id` **OR** `transaction_id`.

You can use this endpoint to check the status of a deposit and get detailed information about it.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `merchant` | query | string | required | Your merchant name |
| `deposit_id` | query | string | optional | Your unique custom deposit ID (string, max 50 characters) |
| `transaction_id` | query | integer | optional | Transaction ID |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v2/merchant/deposit?api=%7B%7BAPI_KEY%7D%7D&merchant=my_merchant'
```

## Example response

```json
{
  "status": "success",
  "deposit": {
    "transaction_id": 123456,
    "deposit_id": "123456asd",
    "merchant": "mymerchant",
    "steam_id": "76561198000000000",
    "trade_url_token": "abcdefgh",
    "currency": "USD",
    "min_amount": 10,
    "max_amount": 100,
    "result_url": "https://yourwebsite.com/result",
    "fail_url": "https://yourwebsite.com/fail",
    "success_url": "https://yourwebsite.com/success",
    "game": "csgo",
    "priority_game": "csgo",
    "hash": "7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
    "widget": false,
    "steam_trade": 789012,
    "created": "2023-10-05T12:34:56Z",
    "items": [
      "123",
      "456",
      "789"
    ],
    "steam_trade_data": {
      "trade_id": "1234567890",
      "done": true,
      "reason": "Seller failed to accept",
      "created": "2023-10-05T12:34:56Z",
      "proccessed_time": "2023-10-05T12:40:00Z",
      "user": {
        "name": "SteamUser",
        "avatar": "https://avatars.cloudflare.steamstatic.com/0ac149f87545bf80733f29d079e29c0904ceb171_full.jpg",
        "steam_id": "76561198000000000"
      },
      "items": [
        {
          "item_id": "141414144",
          "name": "AWP | Asiimov (Field-tested)",
          "price": 1000,
          "give_amount": 1000,
          "status": 4
        }
      ]
    }
  }
}
```

## Responses

- `200` **Please open the schema to see the response structure, fields, and their descriptions**

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
